Subject: Re: linux-next: manual merge of the pinctrl tree with the arm-soc tree

From: Andy Shevchenko <[email-masked]>
Date: Tue, 6 Dec 2022 17:04:43 +0200

On Tue, Dec 06, 2022 at 12:13:36PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the pinctrl tree got a conflict in:
> 
>   drivers/soc/fsl/qe/gpio.c
> 
> between commits:
> 
>   84582f9ed090 ("soc: fsl: qe: Avoid using gpio_to_desc()")
>   66310b5a0fc1 ("soc: fsl: qe: request pins non-exclusively")
> 
> from the arm-soc tree and commit:
> 
>   c9eb6e546a23 ("soc: fsl: qe: Switch to use fwnode instead of of_node")
> 
> from the pinctrl tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

That's correct fix in my opinion. Thank you!

How to avoid conflict and why it's there I have explained here:
https://lore.kernel.org/linux-arm-kernel/[email-masked]/

-- 
With Best Regards,
Andy Shevchenko